1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

DEVHOOK?

Discussion in 'Sony PSP - Mod and firmware discussion' started by homie19, Jan 17, 2007.

  1. homie19

    homie19 Guest

    i still dont understand the whole concept pf this device or what it really does..will i be able to run thie ono psp fw.2.81?
     
  2. shadow345

    shadow345 Member

    Joined:
    Nov 25, 2006
    Messages:
    91
    Likes Received:
    0
    Trophy Points:
    16
    Devhook allows PSPs to emulate other firmwares without upgrading or downgrading. It also allows you to play homebrew like the cheat device for vice city stories. Devhook can only be run on PSPs with firmware 2.71 and 1.5.
     
  3. homie19

    homie19 Guest

    but what abou tthe newwst version of devhook?
     
  4. shadow345

    shadow345 Member

    Joined:
    Nov 25, 2006
    Messages:
    91
    Likes Received:
    0
    Trophy Points:
    16
    No matter what version of devhook you get, you cannot put it on a 2.81. All devhooks only work on 2.71 or 1.5 and there is no downgrader for any firmware 2.81+
     
  5. homie19

    homie19 Guest

    aww man this is crap so wat the hell is the good thing about fw.2.81 should i upgrade? friiig
     
  6. shadow345

    shadow345 Member

    Joined:
    Nov 25, 2006
    Messages:
    91
    Likes Received:
    0
    Trophy Points:
    16
    There is nothing good about 2.81, it was just a security update, basically meaning you're screwed. The devs just came out with the 2.80 downgrader and people were waiting for that for months+. Personally I wouldn't upgrade because I like my homebrew. But I would say the only good reason to upgrade is for the PS3 using the psp as a controller and being able to play ps1 games on the psp, but I don't think it's worth it. Just wait for a 2.81 downgrader and DO NOT upgrade anymore. Or you can buy another psp.
     
  7. GSoulja

    GSoulja Member

    Joined:
    Jan 19, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    ok so when i got my psp it was 3.03 are you telling me that i cant get devhook at all?!
     
  8. BurnCK

    BurnCK Regular member

    Joined:
    Mar 23, 2006
    Messages:
    588
    Likes Received:
    0
    Trophy Points:
    26
    There is nothing you can do with 3.03...probably for quite a while. At the moment you can only downgrade 2.8 fw and below. With 3.03 being the latest firmware you're at the back of the queue Im afraid.
     
    Last edited: Jan 19, 2007
  9. djboogie

    djboogie Regular member

    Joined:
    Oct 26, 2003
    Messages:
    819
    Likes Received:
    0
    Trophy Points:
    26
    you can use dark alex 303 -0EB firmware to play psp games, and its fully back flashable to 1.5
     
  10. djboogie

    djboogie Regular member

    Joined:
    Oct 26, 2003
    Messages:
    819
    Likes Received:
    0
    Trophy Points:
    26
    typo, should have said PS1 games, plus it allows for the use of devhook, it doesnt emulate the firmware, it actually flashes the psp, BUT you can backflash to 1.5

    course, you cant do this with a 2.8 still :)
     
  11. djboogie

    djboogie Regular member

    Joined:
    Oct 26, 2003
    Messages:
    819
    Likes Received:
    0
    Trophy Points:
    26
    the only actually flashed 303 psp that is able to run homebrew and fully run ps1 games, is dark alex's 303-OEB
    but again, you have to be able to flash it to your version psp in the first place.

    if you have higher than 2.71, (or more recently 2.80)
    youre pretty much screwed............at least for now
     
  12. dana2006

    dana2006 Member

    Joined:
    Jan 12, 2007
    Messages:
    61
    Likes Received:
    0
    Trophy Points:
    16
    I've got devhook 0.46 i have tried some games and they run on 2.6 no problem but over the hedge i can't get it going tried 2.6 and 2.71.
    just get black screen and my PSP turns itself off. Am i doing something wrong? How do you emulate games on 2.71? maybe i am missing something Please help!!
    Thanks
     
  13. logan19k

    logan19k Regular member

    Joined:
    Mar 8, 2006
    Messages:
    139
    Likes Received:
    0
    Trophy Points:
    26
    hi.
    i got 1.5 from 2.71 so i can play games. but how do i exaclty play games. do i need devhook on my 1.5 or cant it be used without devhook
     
  14. GSoulja

    GSoulja Member

    Joined:
    Jan 19, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    im not a experct with this stuf but u herd that if something like that happens its called like brick so i think ur psp is bricked witch is bad
    but i may be wrong so askk around
     
  15. dana2006

    dana2006 Member

    Joined:
    Jan 12, 2007
    Messages:
    61
    Likes Received:
    0
    Trophy Points:
    16
    thanks, but it can't be bricked because plays games on 2.6.
    It may help that i run hen b first and then i try to emulate with devhook. I havent installed anything myself, i bought my PSP already downgraded.
     
  16. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    for device hook 0.46 try this settings

    UMD Select: (choose the game)
    UMD Mount: ISO ANYUMD
    UMD Version: 2.xx > 2.00
    Firmware: 2.71
    CPU Clock: 222MHz / 111MHz
    Boot Select: Reboot XMB
    preload address: 0x89000000

    did you create a ISO folder (with capitals)in the root of the memory stick to put isos?


    the last version of device hook is 0.52 emulates firmware 3.03
    you can find it here
    http://pspupdates.qj.net/Devhook-v0-52-R...pg/49/aid/77503

    or here
    http://www.psp-hacks.com/2006/12/28/devhook-v052-released/

    but most people is now using dark alex custom firmware,with this firmware you can also play ps1 games
    http://forums.afterdawn.com/thread_view.cfm/450400

    your psp must have 1.5 firmware
     
    Last edited: Jan 22, 2007
  17. dana2006

    dana2006 Member

    Joined:
    Jan 12, 2007
    Messages:
    61
    Likes Received:
    0
    Trophy Points:
    16
    Thanks smlvfx
    I have tried with all the settings you told me and still on 2.71 my PSP turns itself off in firmware 2.6 loads ISO no problem don't know whats wrong with it.
    I know i can go for dark alex but i havent installed hen b and devhook on my PSP i bought it already done and at the moment i don't even know how to dump it all before i could downgrade to 1.5.
    I Just thought someone could help me get them going on 2.71 before i find out everything i need to know to upgrade to better version. I don't want to brick my daughters PSP.
    If anybody know what causes the problem please let me know I'll really appreciate it. PSP stuff is really new to me at the moment.
    Thanks
     
  18. smlvfx

    smlvfx Regular member

    Joined:
    Dec 9, 2006
    Messages:
    1,358
    Likes Received:
    0
    Trophy Points:
    46
    i'm not sure how the hen b works,i never used device hook 0.46 with that hen b thing ,but probably you have missing the reboot bin file inside the MS_ROOT:dh\2.71 folder
     
    Last edited: Jan 22, 2007
  19. rsrepp

    rsrepp Regular member

    Joined:
    Sep 3, 2006
    Messages:
    396
    Likes Received:
    0
    Trophy Points:
    26
    Whoever is using Devhook .46 please upgrade. Devhook .46 is outdated so Upgrade to .51, that should solve your iso problems. And can Afterdawn Newbies please dont post unless you are sure of the advice you are giving out.
     
  20. dana2006

    dana2006 Member

    Joined:
    Jan 12, 2007
    Messages:
    61
    Likes Received:
    0
    Trophy Points:
    16
    thanks rsrepp
    to upgrade devhook to .51 do i have to uninstall 0.46 first and if so how do you do it?
    thanks in advance for your help
     

Share This Page